#
#  Mike Schuster
#  mschuster@cfa.harvard.edu
#  1 SEPT 2006
#
#  Template for MOPEX's mosaicker module.
#
#
# Module Control
#-------------------------------------------------------

have_uncertainties = 1
compute_uncertainties_internally = 0

run_medfilter = 0

run_fiducial_image_frame = <run_fiducial_image_frame>
run_mosaic_geom = 0
run_mosaic_interp = 1

run_mosaic_outlier = <run_mosaic_outlier>
run_mosaic_box_outlier = 0

run_mosaic_covg = 1
run_mosaic_rmask = <run_mosaic_rmask>
run_mosaic_reinterp = <run_mosaic_reinterp>
run_mosaic_coadder = 1
run_mosaic_combiner = 1

run_absolute_minimum_mosaic = <run_absolute_minimum_mosaic>
run_median_mosaic = <run_median_mosaic>
sigma_weighted_coadd = 0
run_mosaic_medfilter = 0

create_unc_mosaic = 0
create_std_mosaic = 0
create_outlier_mosaic = 0
create_dual_outlier_mosaic = 0
create_rmask_mosaic = 0

# Run Options
#-------------------------------------------------------

delete_intermediate_products = 1
delete_intermediate_files = 1
keep_coadded_tiles = 0
save_namelist = 0
NICE = 1
verbose = 0
overwrite_dmask = 0

USE_OUTLIER_FOR_RMASK = 1
USE_BOX_OUTLIER_FOR_RMASK = 0
USE_DUAL_OUTLIER_FOR_RMASK = 0
USE_REFINED_POINTING = 0

MOSAIC_PIXEL_SIZE_X = <MOSAIC_PIXEL_SIZE_X>
MOSAIC_PIXEL_SIZE_Y = <MOSAIC_PIXEL_SIZE_Y>

#MOSAIC_PIXEL_RATIO_X = 1.220
#MOSAIC_PIXEL_RATIO_Y = 1.220

# File Lists
#-------------------------------------------------------

IMAGE_STACK_FILE_NAME = <IMAGE_STACK_FILE_NAME>
SIGMALIST_FILE_NAME = <SIGMALIST_FILE_NAME>
FIF_FILE_NAME = <FIF_FILE_NAME>
PMASK_FILE_NAME = <PMASK_FILE_NAME>
DCE_STATUS_MASK_LIST = <DCE_STATUS_MASK_LIST>
#RMASK_LIST = <RMASKLIST_FILE_NAME>

# Pmask Bits 7-10,14
PMask_Fatal_BitPattern = 18304
# Dmask Bits 5,10-14 for intermediary mosaics
# Dmask Bits 5,9-14 for final mosaics
DCE_Status_Mask_Fatal_BitPattern = <DCE_Status_Mask_Fatal_BitPattern>
# Rmask Bits 1
RMask_Fatal_BitPattern = 2

# Directories
#-------------------------------------------------------

OUTPUT_DIR = <OUTPUT_DIR>
SIGMA_DIR = Sigma
MEDFILTER_DIR = Medfilter
INTERP_DIR = Interp
OUTLIER_DIR = Outlier
DETECT_DIR = Detect
DUAL_OUTLIER_DIR = DualOutlier
DMASK_DIR = Dmask
RMASK_DIR = Rmask
REINTERP_DIR = ReInterp
COADDER_DIR = Coadd
COMBINER_DIR = <COMBINER_DIR>
RMASK_MOSAIC_DIR = Rmask_Mosaic

# Module Parameters
#-------------------------------------------------------

&MEDFILTER
   Window_X = 25,
   Window_Y = 25,
   N_Outliers_Per_Window = 525,
&END

&FIDUCIALIMAGEFRAMEIN
# Edge_Padding is given in terms of pixels,
   Edge_Padding = <Edge_Padding>,
# if specified CROTA2 is used for FIF,
# without modification (A = average),
   CROTA2 = <CROTA2>,
&END

&MOSAIC_GEOMIN
   MARGIN = -10,
&END

&MOSAICINTIN
# INTERP_METHOD = 1(default), 2(Drizzle), 3(Grid), 4(bicubic),
   INTERP_METHOD = 1,
#   FINERES = 1,
#   DRIZ_FAC = 0.66,
#   GRID_RATIO = 1,
#   ALPHA = -0.5,
&END

&MOSAICOUTLIERIN
   THRESH_OPTION = <THRESH_OPTION>,
   MIN_PIX_NUM = <MIN_PIX_NUM>,
# the number of sigma used for thresholding,
# thresholds equal to zero delay clipping,
# until RMASK step,
   TOP_THRESHOLD = 0,
#   TOP_THRESHOLD = <TOP_THRESHOLD>,
   BOTTOM_THRESHOLD = 0,
#   BOTTOM_THRESHOLD = <BOTTOM_THRESHOLD>,
   TILE_XSIZ = <TILE_SIZE>,
   TILE_YSIZ = <TILE_SIZE>,
&END

&MOSAICBOXOUTLIERIN
   BOX_X = 1,
   BOX_Y = 1,
   BOX_MEDIAN_BIAS = 1,
   TILE_XSIZ = <TILE_SIZE>,
   TILE_YSIZ = <TILE_SIZE>,
&END

&MOSAICCOVGIN
   TILEMAX_X = <TILE_SIZE>,
   TILEMAX_Y = <TILE_SIZE>,
&END

&MOSAICRMASKIN
# area threshold for flagging an interpolated,
# stacked pixel as bad,
   RM_THRESH = <RM_THRESH>,
# the number of sigma used for thresholding,
# thresholds equal to zero assume clipping,
# at OUTLIER step,
#   TOP_THRESHOLD = 0,
   TOP_THRESHOLD = <TOP_THRESHOLD>,
#   BOTTOM_THRESHOLD = 0,
   BOTTOM_THRESHOLD = <BOTTOM_THRESHOLD>,
   MIN_COVERAGE = 2,
   MAX_COVERAGE = 10000,
#   BOX_MIN_COVERAGE = 1,
#   BOX_BOTTOM_THRESHOLD = 3.,
#   BOX_TOP_THRESHOLD = 10.,
   REFINE_OUTLIER = 0,
#   REFINE_OUTLIER_THRESH = 10.0,
&END

&MOSAICREINTIN
&END

&MOSAICCOADDIN
#   INTEG_TIME_KWD = 'EXPTIME',
   TILEMAX_X = <TILE_SIZE>,
   TILEMAX_Y = <TILE_SIZE>,
&END

&MOSAIC_MEDFILTER
   Window_X = 25,
   Window_Y = 25,
   N_Outliers_Per_Window = 525,
&END
