#
#  Script for producing extracted source lists using source
#  lists coo.? produced by do_nsfind.cl and psort_xy.cl
#
#  Input source lists are coo.?
#
#  Output source lists are xycoo.?
#
#  Works on any of 4 IRAC channels
#
# (c) 2005 Mike Schuster (mschuster@cfa.harvard.edu)
# (c) 2005 SAO - Smithsonian Astrophysical Observatory
#
#  v1.2 - 10 JAN 2006
#

procedure pdump_xy(filename)

string filename

begin

  if (access("xycoo.1") || access("xycoo.2") || access("xycoo.3") || access("xycoo.4"))
    delete("xycoo.*",verify-)

  unlearn("pdump")

  if (access("coo.1")) {
    pdump(infile="coo.1", fields="XCENTER,YCENTER", expr=yes, head-, par-, > "xycoo.1") }
  if (access("coo.2")) {
    pdump(infile="coo.2", fields="XCENTER,YCENTER", expr=yes, head-, par-, > "xycoo.2") }
  if (access("coo.3")) {
    pdump(infile="coo.3", fields="XCENTER,YCENTER", expr=yes, head-, par-, > "xycoo.3") }
  if (access("coo.4")) {
    pdump(infile="coo.4", fields="XCENTER,YCENTER", expr=yes, head-, par-, > "xycoo.4") }

end
